
<div class="new-hero">
  <div class="hero-overlay">
    <div class="hero-content">
      <h2>{{section.settings.titulo-fotografia}}</h2>
      <p>{{section.settings.subtitulo-fotografia}}</p>
    </div>
    <div class="hero-content">
      <h2>{{section.settings.titulo-dia}}</h2>
      <p>{{section.settings.subtitulo-dia}}</p>
    </div>
  </div>

  <div class="hero-image foto">
    <img class="lazyload img-fotografia" 
         data-src="{{section.settings.fotoimg | img_url: 'master' }}" data-sizes="100vw"
         data-srcset="{{section.settings.fotoimg | img_url: '200x' }} 200w,
                     {{section.settings.fotoimg | img_url: '400x' }} 400w,
                     {{section.settings.fotoimg | img_url: '600x' }} 600w,
                     {{section.settings.fotoimg | img_url: '800x' }} 800w,
                     {{section.settings.fotoimg | img_url: '1000x' }} 1000w,
                     {{section.settings.fotoimg | img_url: '1200x' }} 1200w,
                     {{section.settings.fotoimg | img_url: '1400x' }} 1400w,
                     {{section.settings.fotoimg | img_url: '1600x' }} 1600w,
                     {{section.settings.fotoimg | img_url: '1800x' }} 1800w,
                     {{section.settings.fotoimg | img_url: '2000x' }} 2000w,
                     {{section.settings.fotoimg | img_url: '2500x' }} 2500w">
  </div>
  <div class="hero-image dia">
    <img class="lazyload img-dia" 
         data-src="{{section.settings.diaimg | img_url: 'master' }}" data-sizes="100vw"
         data-srcset="{{section.settings.diaimg | img_url: '200x' }} 200w,
                      {{section.settings.diaimg | img_url: '400x' }} 400w,
                      {{section.settings.diaimg | img_url: '600x' }} 600w,
                      {{section.settings.diaimg | img_url: '800x' }} 800w,
                      {{section.settings.diaimg | img_url: '1000x' }} 1000w,
                      {{section.settings.diaimg | img_url: '1200x' }} 1200w,
                      {{section.settings.diaimg | img_url: '1400x' }} 1400w,
                      {{section.settings.diaimg | img_url: '1600x' }} 1600w,
                      {{section.settings.diaimg | img_url: '1800x' }} 1800w,
                      {{section.settings.diaimg | img_url: '2000x' }} 2000w,
                      {{section.settings.diaimg | img_url: '2500x' }} 2500w">
  </div>

</div>


{% form 'currency' %}
  {{ form | currency_selector: class: 'my_special_class', id: 'Submit'  }}
{% endform %}


{% for product in collections.fotografia.products %}
  {% assign splitName = product.handle | split: "-" %}
  {% assign size = splitName | size | minus: 1   %}
  {% assign colorless = splitName | slice: 0, size %}
  {% assign productName = colorless | join: "-"  %}
    {% for word in splitName %}
      {{ word }}
    {% endfor %}
    <br>
      {{ size | plus: 1 }}
    <br>


      {{ productName }} 
    
    
    <p>---------------</p><br>
{% endfor %}



<script>



</script>

{% schema %}
  {
    "name": "Homepage Hero Section",
     "class": "homepage-hero",
    "settings": [
    {
      "id": "titulo-fotografia",
      "type": "text",
      "label": "Título da Primeira Seção:"
    },
    {
      "id": "subtitulo-fotografia",
      "type": "text",
      "label": "Subtítulo da Primeira Seção:"
    },
    {
      "id": "fotoimg",
      "type": "image_picker",
      "label": "Imagem da Primeira Seção:",
      "info": "(largura recomendada)"
    },
    {
      "id": "titulo-dia",
      "type": "text",
      "label": "Título da Segunda Seção:"
    },
    {
      "id": "subtitulo-dia",
      "type": "text",
      "label": "Subtítulo da Segunda Seção:"
    },
    {
      "id": "diaimg",
      "type": "image_picker",
      "label": "Imagem da Segunda Seção:",
      "info": "(largura recomendada)"
    }
  ],
    "presets": [
      {
        "name": "Homepage Hero Section",
        "category": "Custom Sections"
      }
    ]
  }
{% endschema %}

<style>

.new-hero {
  height:100vh;
  width: 100%;
  position: relative;
  top: 0;
}

.new-hero nav {
  width: 100%;
  position: absolute;
  display: flex;
  justify-content: space-between;
  align-items: center;
  box-sizing: border-box;
  padding: 20px 150px;
  z-index: 4;
}

.new-hero nav ul {
  display: flex;
  list-style: none;
  padding: 0;
  width: 100%;
}

.new-hero nav .left-nav, .new-hero nav .right-nav{
  display: flex;
  justify-content: space-between;
  font-family: Oswald;
  font-weight: normal;
  text-transform: uppercase;
}

.new-hero nav > ul *, .new-hero .hero-content p, .new-hero .hero-content h2 {
  color: #fff;
}

.new-hero nav .left-nav a, .new-hero nav .right-nav a, .new-hero .hero-content p {
font-size: 16px;
} 

.new-hero .hero-content h2 {
  font-size: 20px;
}

.new-hero nav svg {
  fill:#fff;
  width: 220px;
}

.new-hero .hero-image {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  transition: .3s;
}

.new-hero .hero-image.foto {
  z-index: 1;
}

.new-hero .hero-image.dia {
  opacity: 0;
  z-index: 2;
}

.new-hero .hero-image img{
  height: 100vh;
  object-fit: cover;
}

.new-hero .hero-overlay {
  position: absolute;
  top: 0;
  display: flex;
  width: 100%;
  height: 100%;
  z-index: 3;
  background: #0000004f;
}

.new-hero .hero-overlay .hero-content {
  position: relative;
  display: flex;
  flex-direction: column;
  width: 50%;
  height: 100%;
  flex-wrap: wrap;
  text-align: center;
  justify-content: flex-end;
  padding: 0 0 5% 0;
  transition: .3s;
  cursor: pointer;
}

.new-hero .hero-overlay .hero-content:first-child {
  border-right: 1px solid #ffffff4f;
}

.new-hero .hero-content h2 {
  font-family: Oswald;
  font-weight: 600;
  font-size: 32px;
  text-transform: uppercase;
}

.new-hero .hero-content p {
  font-family: Lato;
  font-weight: normal;
}

.new-hero .hero-content p, .new-hero .hero-content h2 {
  display: inline-block;
  width: 100%;
}

.new-hero .hero-content.active {
  background: #0000004f;
  padding: 0 0 7% 0;
}

.new-hero .hero-content.active {
  background: #0000004f;
  padding: 0 0 7% 0;
}


/* Hide header and countdown plugin */
.sct_dropdowndiv, #shopify-section-header {
	display: none!important;
}

/* Override Turbo unwanted features */

@media only screen and (max-width: 798px) {
  .mobile_nav-fixed--true #pagecontent, .mobile_nav-fixed--false #pagecontent {
      display: none;
  }
}



</style>

<script>

$('.hero-content').hover(
       function(){ $(this).addClass('active') },
       function(){ $(this).removeClass('active') }
)

$( ".hero-content" ).eq( 1 ).hover(
       function(){ $('.hero-image.dia').css( "opacity", "1" ) },
       function(){ $('.hero-image.dia').css( "opacity", "0" ) }
)



</script>